Subject: bug#17966: 24.4.50; Error while saving bookmarks: Unknown button type `help-xref'

From: Drew Adams <[email-masked]>
Date: Mon, 7 Jul 2014 15:46:45 -0700 (PDT)

> >> Perhaps it depends on pre-existing contents of the bookmarks file;
> >> mine is empty.
> >
> > I've just verified that the problem persists even if I rename
> > "~/.emacs.d" to something else before running Emacs.
> 
> Perhaps the key difference between your environment and mine is that I
> have makeinfo version 5.2, which produces the special (non-ascii)
> quotation chars ‘ and ’, and you may have an older version which
> produces ` and ' instead.
> 
> Can you reproduce the problem with the following recipe?
> 
> emacs -Q
> (set-language-environment 'latin-1)
> Visit the attached file.
> C-u 9 C-n
> C-x r m RET
> M-x bookmark-save RET

Sounds similar to what was reported in bug #17568, which I'm
guessing has to do with existing code expecting a buffer to be in
`help-mode' after `with-output-to-temp-buffer'.  IOW, perhaps
more collateral damage from bug #17109.  Just a hunch.